Package: org.codehaus.groovy.grails.resolve.maven.aether.support

## [Groovy] Class ScopeComparator

- org.codehaus.groovy.grails.resolve.maven.aether.support.ScopeAwareNearestVersionSelector.ScopeComparator

- All Implemented Interfaces and Traits:
    java.util.Comparator

      @groovy.transform.CompileStatic
      class ScopeAwareNearestVersionSelector.ScopeComparator

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `int` | `compare(java.lang.String scope1, java.lang.String scope2)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### @java.lang.Override int compare(java.lang.String scope1, java.lang.String scope2)